package com.buy507.mall.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.buy507.mall.model.UmsMemberReceiveAddress;

public interface UmsMemberReceiveAddressMapper {
	
	UmsMemberReceiveAddress selectOneById(Long id);
	
	List<UmsMemberReceiveAddress> selectByMemberId(Long id);
	
	int insert(UmsMemberReceiveAddress memberReceiveAddress);
	
	int updateById(UmsMemberReceiveAddress memberReceiveAddress);
	
	int deleteById(Long id);
	
	UmsMemberReceiveAddress selectOneByMemberIdAndDefaultStatus(@Param("memberId") Long memberId, @Param("defaultStatus") Integer defaultStatus);
	
}
